# CMxFloatArray Class

Namespace: `ArchestrA.Toolkit`

CMxFloatArray is derived from CMxArray and provides support for float Array Attributes.

**Syntax**

```csharp
public class CMxFloatArray : CMxArray<float>
```

## CMxFloatArray Properties

### Value Property

Provides a property to get and set the value as a float array.

**Syntax**

```csharp
public float [] Value { get; set; }
```

**Returns**

float [ ]

### Property to get and set using [ ] operator

Provides a property to get and set the float value of an element using [ ] operator.

**Syntax**

```csharp
public float this[short i] { get; set; }
```

**Returns**

float

## CMxFloatArray Constructors

### CMxFloatArray Constructor (int)

Provides a constructor to initialize the array to a default length.

**Syntax**

```csharp
public CMxFloatArray(int length);
```

**Parameters**

**`length`**

[in] integer value that holds array length.

### CMxFloatArray Constructor (float[ ])

Provides a constructor to initialize the class with a float array.

**Syntax**

```csharp
public CMxFloatArray(float[] value);
```

**Parameters**

**`value`**

[in] float[ ] value.

### CMxFloatArray Constructor (SupportWrapper, string)

Provides a constructor to initialize the class for use in a primitive wrapper.

**Syntax**

```csharp
public CMxFloatArray (SupportWrapper _wrapper, string _attributeRef);
```

**Parameters**

**`_wrapper`**

[in] SupportWrapper.

**`_attributeRef`**

[in] string value that holds the attribute reference.

## CMxFloatArray Method

### Set Method

Provides a method to set the value of the Attribute from a CMxFloat Array.

**Syntax**

```csharp
public void Set(CMxFloatArray newValue);
```

**Parameters**

**`newValue`**

[in] CMxFloatArray value to be set.

## CMxFloatArray Operator Overloads

### CMxFloatArray Operator Overload (float[ ])

Provides an operator to convert a float array into a CMxFloatArray.

**Syntax**

```csharp
public static implicit operator CMxFloatArray(float[] val);
```

**Parameters**

**`val`**

[in] float[ ] value to convert to CMxFloatArray.

**Returns**

CMxFloatArray

### CMxValue Operator Overload

Provides an operator to convert a CMxFloatArray into a CMxValue.

**Syntax**

```csharp
public static implicit operator CMxValue(CMxFloatArray val);
```

**Parameters**

**`val`**

[in] CMxFloatArray value to convert to CMxValue.

**Returns**

CMxValue

### Float Operator Overload

Provides an operator to convert a CMxFloatArray into a float array.

**Syntax**

```csharp
public static implicit operator float[](CMxFloatArray val);
```

**Parameters**

**`val`**

[in] CMxFloatArray value to convert to float[].

**Returns**

float[ ]

### CMxFloatArray Operator Overload (CMxValue)

Provides an operator to convert a CMxValue into a CMxFloatArray.

**Syntax**

```csharp
public static implicit operator CMxFloatArray(CMxValue val);
```

**Parameters**

**`val`**

[in] CMxValue value to convert to CMxFloatArray.

**Returns**

CMxFloatArray
